Hackers Continue to Exploit Patched Pulse Secure VPN Flaws, CISA Warns

The Cybersecurity and Infrastructure Security Agency (CISA) has issued an urgent warning that bad actors are still exploiting a known vulnerability in a popular VPN appliance a full year after the vendor patched the flaws.

Most Pulse Secure VPN users have installed the patch released in April of 2019 by the vendor. However, thousands of servers are still vulnerable, and many organizations that deployed the patch failed to change their credentials.

“CISA is providing this update to alert administrators that threat actors who successfully exploited CVE-2019-11510 and stole a victim organization’s credentials will still be able to access—and move laterally through—that organization’s network after the organization has patched this vulnerability if the organization did not change those stolen credentials,” the agency warns.

The flaw, CVE-2019-1150, can allow an unauthenticated remote attacker to send a specially crafted URI to perform an arbitrary file reading vulnerability. Affected versions include Pulse Secure Pulse Connect Secure (PCS) 8.2 before 8.2R12.1, 8.3 before 8.3R7.1, and 9.0 before 9.0R3.4.

According to reports, hackers exploiting this flaw have been able to acquire access to the targets’ core systems, drop additional malware, and move laterally across the network.

CISA provides new detection methods for this activity, including a tool to help administrators pinpoint indicators of compromise (IOCs) associated with exploitation of the vulnerability. Mitigations are also provided for organizations that have already fallen victim to attacks leveraging the flaw.

“CISA encourages network administrators to remain aware of the ramifications of exploitation of CVE-2019-11510 and to apply the detection measures and mitigations provided in this report to secure networks against these attacks,” the advisory states.


*** This is a Security Bloggers Network syndicated blog from HOTforSecurity authored by Filip Truta. Read the original post at: https://hotforsecurity.bitdefender.com/blog/hackers-continue-to-exploit-patched-pulse-secure-vpn-flaws-cisa-warns-23020.html